Vector stores
Get a vector store
Retrieves a vector store by its identifier.
Parameter jalur
vector_store_id
string
diperlukan
The ID of the vector store to retrieve.
Respons
The request has succeeded.
Isi
id
string
diperlukan
The identifier, which can be referenced in API endpoints.
object
enum
diperlukan
The object type, which is always vector_store.
created_at
integer
diperlukan
The Unix timestamp (in seconds) for when the vector store was created.
name
string
diperlukan
The name of the vector store.
file_counts
OpenAI.VectorStoreObjectFileCounts
diperlukan
status
enum
diperlukan
The status of the vector store, which can be either expired, in_progress, or completed. A status of completed indicates that the vector store is ready for use.
expires_after
OpenAI.VectorStoreExpirationAfter
The expiration policy for a vector store.
anchor
enum
diperlukan
Anchor timestamp after which the expiration policy applies. Supported anchors: last_active_at.
metadata
OpenAI.Metadata | null
diperlukan
Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format, and querying for objects via API or the dashboard. Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters.
Minta
curl https://api.openai.com/v1/vector_stores/vs_abc123 \
-H "Authorization: Bearer $OPENAI_API_KEY" \
-H "Content-Type: application/json" \
-H "OpenAI-Beta: assistants=v2"
import os
from openai import OpenAI
client = OpenAI(
api_key=os.environ.get("OPENAI_API_KEY"), # This is the default and can be omitted
)
vector_store = client.vector_stores.retrieve(
"vector_store_id",
)
print(vector_store.id)
import OpenAI from "openai";
const openai = new OpenAI();
async function main() {
const vectorStore = await openai.vectorStores.retrieve(
"vs_abc123"
);
console.log(vectorStore);
}
main();
import OpenAI from 'openai';
const client = new OpenAI({
apiKey: process.env['OPENAI_API_KEY'], // This is the default and can be omitted
});
const vectorStore = await client.vectorStores.retrieve('vector_store_id');
console.log(vectorStore.id);
package main
import (
"context"
"fmt"
"github.com/openai/openai-go"
"github.com/openai/openai-go/option"
)
func main() {
client := openai.NewClient(
option.WithAPIKey("My API Key"),
)
vectorStore, err := client.VectorStores.Get(context.TODO(), "vector_store_id")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v
", vectorStore.ID)
}
package com.openai.example;
import com.openai.client.OpenAIClient;
import com.openai.client.okhttp.OpenAIOkHttpClient;
import com.openai.models.vectorstores.VectorStore;
import com.openai.models.vectorstores.VectorStoreRetrieveParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
OpenAIClient client = OpenAIOkHttpClient.fromEnv();
VectorStore vectorStore = client.vectorStores().retrieve("vector_store_id");
}
}
require "openai"
openai = OpenAI::Client.new(api_key: "My API Key")
vector_store = openai.vector_stores.retrieve("vector_store_id")
puts(vector_store)
Tanggapan
{
"id": "vs_abc123",
"object": "vector_store",
"created_at": 1699061776
}